Package org.apache.qpid.proton.amqp.transport

# Class Transfer

java.lang.Object
org.apache.qpid.proton.amqp.transport.Transfer

All Implemented Interfaces:
  `FrameBody`

public final class Transfer extends Object implements FrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.FrameBody

`FrameBody.FrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`Transfer()`
`Transfer(Transfer other)`

## Method Summary

Modifier and Type
Method
Description
`Transfer`
`copy()`
`boolean`
`getAborted()`
`boolean`
`getBatchable()`
`UnsignedInteger`
`getDeliveryId()`
`Binary`
`getDeliveryTag()`
`UnsignedInteger`
`getHandle()`
`UnsignedInteger`
`getMessageFormat()`
`boolean`
`getMore()`
`ReceiverSettleMode`
`getRcvSettleMode()`
`boolean`
`getResume()`
`Boolean`
`getSettled()`
`DeliveryState`
`getState()`
`<E> void`
`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setAborted(boolean aborted)`
`void`
`setBatchable(boolean batchable)`
`void`
`setDeliveryId(UnsignedInteger deliveryId)`
`void`
`setDeliveryTag(Binary deliveryTag)`
`void`
`setHandle(UnsignedInteger handle)`
`void`
`setMessageFormat(UnsignedInteger messageFormat)`
`void`
`setMore(boolean more)`
`void`
`setRcvSettleMode(ReceiverSettleMode rcvSettleMode)`
`void`
`setResume(boolean resume)`
`void`
`setSettled(Boolean settled)`
`void`
`setState(DeliveryState state)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Transfer

public Transfer()

### Transfer

public Transfer(Transfer other)

## Method Details

### getHandle

public UnsignedInteger getHandle()

### setHandle

public void setHandle(UnsignedInteger handle)

### getDeliveryId

public UnsignedInteger getDeliveryId()

### setDeliveryId

public void setDeliveryId(UnsignedInteger deliveryId)

### getDeliveryTag

public Binary getDeliveryTag()

### setDeliveryTag

public void setDeliveryTag(Binary deliveryTag)

### getMessageFormat

public UnsignedInteger getMessageFormat()

### setMessageFormat

public void setMessageFormat(UnsignedInteger messageFormat)

### getSettled

public Boolean getSettled()

### setSettled

public void setSettled(Boolean settled)

### getMore

public boolean getMore()

### setMore

public void setMore(boolean more)

### getRcvSettleMode

public ReceiverSettleMode getRcvSettleMode()

### setRcvSettleMode

public void setRcvSettleMode(ReceiverSettleMode rcvSettleMode)

### getState

public DeliveryState getState()

### setState

public void setState(DeliveryState state)

### getResume

public boolean getResume()

### setResume

public void setResume(boolean resume)

### getAborted

public boolean getAborted()

### setAborted

public void setAborted(boolean aborted)

### getBatchable

public boolean getBatchable()

### setBatchable

public void setBatchable(boolean batchable)

### invoke

public <E> void invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `FrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public Transfer copy()

Specified by:
  `copy` in interface `FrameBody`
Returns:
  a deep copy of this FrameBody.